# Wallabag

[![Build Status](https://drone.autonomic.zone/api/badges/coop-cloud/wallabag/status.svg)](https://drone.autonomic.zone/coop-cloud/wallabag)

Self hostable application for saving web pages • https://github.com/wallabag/wallabag

<!-- metadata -->
* **Category**: Apps
* **Status**: 1, alpha
* **Image**: [`wallabag/wallabag`](https://hub.docker.com/r/wallabag/wallabag), 4, upstream
* **Healthcheck**: No
* **Backups**: No
* **Email**: No
* **Tests**: 2
* **SSO**: No
<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`]
2. Deploy [`coop-cloud/traefik`]
3. `abra app new wallabag --secrets`
4. `abra app YOURAPPDOMAIN config` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app YOURAPPDOMAIN deploy`
8. Initialise database
```
abra app YOURAPPDOMAIN run app bash
cd /var/www/wallabag/
php bin/console wallabag:install --env=prod -n
```

## Database migrations

After Wallabag upgrades:

```
abra app run YOURDOMAIN app bash
cd /var/www/wallabag/
php bin/console doctrine:migrations:migrate --env=prod --no-interaction
```

[`abra`]: https://git.autonomic.zone/autonomic-cooperative/abra
[`coop-cloud/traefik`]: https://git.autonomic.zone/coop-cloud/traefik
